// This files takes the do files used to create the output/graphs in the lecture material
// and outputs them with sjlog and graph exports stripped out

// add to the folder list when you want to do this

clear
set matastrict off


forvalues i=0(1)50 {
  capture mata: fclose(`i')
}

mata:
   // obtain list of do files
   dofiles = dir(".","files","*.do")
   Ndofiles = rows(dofiles)
   for(j=1;j<=Ndofiles;j++) {
     infile = fopen(dofiles[j],"r")
     unlink("dofiles_for_participants/lectures/"+dofiles[j])
     outfile = fopen("dofiles_for_participants/lectures/"+dofiles[j],"w")
   
     while ((line=fget(infile))!=J(0,0,"")) {
       line
       if(substr(strltrim(line),1,5)=="sjlog") {
                       continue
       } 
       else if(substr(strltrim(line),1,12)=="graph export")  continue
       else if(substr(strltrim(line),1,9)=="gr export")     continue
       else if(substr(strltrim(line),1,10)=="makelogred")    continue
       else if(substr(strltrim(line),1,11)=="delloglines")   continue
       else if(substr(strltrim(line),1,4)=="copy")           continue
       else if(substr(strltrim(line),1,9)=="cd \$stpm3")           continue
       else if(substr(strltrim(line),1,10)=="adopath ++")     continue
       else fput(outfile, line)
     }
     fclose(infile)
     fclose(outfile)
   }
end
   
// labs
forvalues i = 1/4 {
}
   
   

